package model

import (
	"fmt"
	"github.com/astaxie/beego/orm"
	"github.com/odysseus/nodemanager/config"
	log "github.com/sirupsen/logrus"
)

func DbInit() {
	if config.GetConfig().EnablePay == false {
		return
	}
	// Set up database
	dbconf := config.GetConfig().DbConfig
	datasource := fmt.Sprintf("%s:%s@tcp(%s:%d)/%s?charset=utf8", dbconf.User, dbconf.Passwd, dbconf.Host, dbconf.Port, dbconf.DbName)
	orm.RegisterDriver("mysql", orm.DRMySQL)
	err := orm.RegisterDataBase("default", "mysql", datasource)
	if err != nil {
		log.WithError(err).Fatal("failed to connect to database")
	}
	orm.RegisterModel(new(User))
}
